* {
  box-sizing: border-box;
}

h1 {
  font-size: 60px;
  color: rgb(0, 0, 0);
  text-align: center;
  font-weight: bold;
  background-image: url(./media/istockphoto-483768005-612x612.jpg);
}

body {
  background-image: url(../portfolio/wallpapers.png);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  font-family: Arial, Helvetica, sans-serif;
  margin: 0 auto;
  padding: 0 0;
}
.buttons {
  background-color: black;
  display: inline-block;
}

.buttons {
  background-color: rgb(0, 0, 0);
  height: 80px;
  width: 100%;
  text-align: center;
}

.buttons ul {
  height: 80px;
  list-style: none;
  margin: 0 auto;
  padding: 0;
  text-align: center;
  font-weight: bold;
  display: inline-block;
  width: 100%;
  text-align: center;
  background: linear-gradient(90deg, #00ffff, #2392c2, #7272d4);

  background-size: 300% 100%;

  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;

  animation: gradientMove 5s linear infinite;
}

.buttons ul li {
  color: rgb(255, 255, 255);
  display: inline-block;
  height: 80px;
  line-height: 80px;
  list-style: none;
  padding: 0 10px;
  text-align: center;
}

#headerbtn {
  color: rgb(255, 255, 255);
  text-decoration: none;
}

#grid-container {
  display: grid;
  grid-template-columns: 12fr 12fr 12fr 12fr;
  padding: 20px;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media only screen and (max-width: 700px) {
  #grid-container {
    grid-template-columns: 1fr;
  }
}

#headerbtn {
  transition: all 0.5s ease;
}

#headerbtn:hover {
  color: rgb(255, 255, 255);
  font-size: 2em;
}

.introduction {
  width: 70%;
  display: flex;
  margin-top: 5%;
  padding-right: 25px;
  padding-left: 25px;
  padding-bottom: 25px;
  background-color: rgb(255, 255, 255, 0.5);
  border-radius: 20px;
}

.introduction h1 {
  margin-left: 10%;
  font-size: 5vh;
  color: rgb(255, 255, 255);
  text-align: center;
  background-color: rgb(0, 0, 0, 0.7);
  border-radius: 20px;
}

.introduction a {
  margin-left: 10%;
  font-size: 100%;
  background-color: rgb(255, 255, 255);
  border-radius: 10px;
  display: flex;
  justify-content: center;
  gap: 15px;
  flex-direction: column;
  align-items: center;
}

.introduction img {
  width: 30%;
  border-radius: 20px;
  padding: 10px;
}

.noteikumi img {
  width: 50%;
  border-radius: 20px;
  padding: 10px;
}

#headertext {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  img {
    width: 100%;
    max-width: 600px;
    margin: 30px;
  }
}

.container {
  display: flex; /* Places items side by side */
  align-items: center; /* Vertically aligns image and text */
  justify-content: center;
  border-style: double;
  border-color: rgb(0, 0, 0);
  border-radius: 30px;
  background-color: rgba(213, 213, 213, 0.7);
  border-width: 10px;
  width: 70%;
  height: 40%;
  margin: 5% auto; /* Centers the div horizontally */

  gap: 5%; /* Space between image and text */
  padding: 20px;
}

.container img {
  width: 40%;
  height: auto;
  border-radius: 15px;
}

.text {
  flex: 1;
}

.container h2 {
  background-color: black;
  color: aliceblue;
  padding: 20px;
  border-radius: 15px;
  font-size: 1.5em;
  display: flex;
}

.container h3 {
  font-size: 2em;
  max-width: 30%;
}

@media (max-width: 768px) {
  .container {
    flex-direction: column; /* image above text */
    text-align: center;
    display: block;
  }
  .container6 {
    flex-direction: column; /* image above text */
    text-align: center;
    display: block;
  }
  .headertext {
    max-width: 900px;
  }
}

.text a {
  background-color: aliceblue;
  padding: 10px;
  text-decoration: none;
  color: black;
  font-weight: bold;
  border-radius: 20px;
  font-size: 3vh;
  display: inline-block;
}

#grid-container {
  display: grid;
  grid-template-columns: 3fr 3fr 3fr;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media only screen and (max-width: 700px) {
  #grid-container {
    grid-template-columns: 1fr;
  }
}

@media only screen and (max-width: 1200px) {
}

.container2 {
  display: flex; /* Places items side by side */
  align-items: center; /* Vertically aligns image and text */
  justify-content: center;
  border-style: double;
  border-color: rgb(0, 0, 0);
  border-radius: 30px;
  background-color: rgba(213, 213, 213, 0.7);
  border-width: 10px;
  width: 70%;
  height: 40%;
  margin: 5% auto; /* Centers the div horizontally */
  gap: 5%; /* Space between image and text */
  padding: 20px;
  img {
    border-radius: 20px;
    padding: 2%;
  }
}
.container5 {
  display: flex; /* Places items side by side */
  align-items: center; /* Vertically aligns image and text */
  justify-content: center;
  border-color: rgb(0, 0, 0);
  border-radius: 30px;
  background-image: url(aframepreview.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  border-style: double;
  border-width: 10px;
  width: 70%;
  height: 50vh;
  margin: 5% auto; /* Centers the div horizontally */
  gap: 5%; /* Space between image and text */
  padding: 20px;
}

.container5 a {
  background-color: aliceblue;
  padding: 10px;
  text-decoration: none;
  color: black;
  font-weight: bold;
  border-radius: 20px;
  font-size: 3vh;
  display: inline-block;
}
.container5 a {
  transition: all 0.5s ease;
}

.container5 a:hover {
  color: rgb(0, 231, 248);
  font-size: 1.5em;
}

.container6 {
  display: flex; /* Places items side by side */
  align-items: center; /* Vertically aligns image and text */
  text-align: center;
  justify-content: center;
  border-color: rgb(0, 0, 0);
  border-radius: 30px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  border-style: double;
  border-width: 10px;
  width: 50%;
  height: auto;
  margin: 5% auto; /* Centers the div horizontally */
  gap: 5%; /* Space between image and text */
  padding: 20px;
}
.container6 img {
  width: 30vh;
  border-radius: 20px;
  max-width: fit-content;
}
